pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46914: Please, pull up lang/Cg-compiler from wip/Cg-compiler

>Number:         46914
>Category:       pkg
>Synopsis:       Please, pull up lang/Cg-compiler from wip/Cg-compiler
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Thu Sep 06 13:15:01 +0000 2012
>Release:        NetBSD 6.0_RC1
System: NetBSD gift 6.0_RC1 NetBSD 6.0_RC1 (GIFT) #6: Sat Sep  1 04:44:23 UTC 
2012  root@gift:/usr/obj/sys/arch/amd64/compile/GIFT amd64
Architecture: amd64
Machine: amd64
lang/Cg-compiler has not been updated in a very long while. The examples on the
Nvidia site are not usable with the version of lang/Cg-compiler in pkgsrc HEAD,
because it is pre-1.5. The version in pkgsrc-wip includes 1) all the updated
examples 2) the latest stable version of the compiler and 3) uses the EMUL_ARCH
framework to switch between the i386 and x86_64 distributions of Cg-compiler.
PLISTs are handled accordingly.
Be packaging something that needs Cg-compiler >= 2.x
Pull it up from wip/Cg-compiler.

Home | Main Index | Thread Index | Old Index